import { JSONSchema7 } from 'json-schema';
import * as OpenApi from '../types/OpenApi';
import 'ts-array-extensions';
import { Logger } from '../lib/cli-logging';
export declare const createJsonSchemaFromOpenApiDocument: ({ openApiDocument, logger }: {
    openApiDocument: OpenApi.Document;
    logger?: Logger | undefined;
}) => JSONSchema7;
